API reference
Get a file
Returns a file with a short-lived download link.
GET
Returns a file with a short-lived download link.
apiKeyheader
AuthorizationBearer <token>id*stringThe file.
application/json- response
id*stringname*stringcontent_type*stringsize*integerstatus*stringValue in
"pending""uploaded"download_url*stringFormat
uricurl -X GET 'https://api.upsky.dev/v1/storage/files/string'Example Response
{ "id": "string", "name": "string", "content_type": "string", "size": 0, "status": "pending", "download_url": "http://example.com"}